/*  $Id: slider.cpp,v 1.29 2003/05/22 16:43:14 dm Exp $

    This file is part of the

    GRammar vISUalization tool (GRISU)

    Developed by Holger Wunsch and Detmar Meurers
    Copyright (C) 1998-2003 by the developers
    All rights reserved

    Seminar fr Sprachwissenschaft, Universitt Tbingen and
    Department of Linguistics, The Ohio State University

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/** @file
    Implementation of the MyScrollBar class.
    @author Carsten He */

#include "slider.moc"


MyScrollBar::MyScrollBar( QWidget *parent, const char *name )
  :QScrollBar(parent, name) 
{};

MyScrollBar::MyScrollBar( Orientation o, QWidget *parent, const char *name )
  :QScrollBar( o, parent, name) 
{};

MyScrollBar::MyScrollBar( int minValue, int maxValue, int LineStep, int PageStep,
			  int value, Orientation o,
			  QWidget *parent, const char *name )
  :QScrollBar( minValue, maxValue, LineStep, PageStep,
	       value, o,
	       parent, name) 
{};


void MyScrollBar::mouseMoveEvent(QMouseEvent *mo) {
  QScrollBar::mouseMoveEvent(mo);
};

void MyScrollBar::mousePressEvent(QMouseEvent *mo) {
  QScrollBar::mousePressEvent(mo);
};

void MyScrollBar::mouseReleaseEvent(QMouseEvent *mo) {
  QScrollBar::mouseReleaseEvent(mo);
};

